package jp.co.headwaters.webappos.cache.bean;

import java.util.List;
import java.util.Map;

import com.fasterxml.jackson.annotation.JsonProperty;

public class FunctionBean {

	private String type;
	private String method;
	private String target;
	private String result;
	private String mapperName;

//	private StatementBean statement;
	// --- crudの場合にのみ使用
	private Map<String,String> condMap;
	// --- crudの場合にのみ使用

	// --- sendmailの場合のみ使用
	@JsonProperty("to")
	private List<String> toList;
	@JsonProperty("cc")
	private List<String> ccList;
	@JsonProperty("bcc")
	private List<String> bccList;
	@JsonProperty("id_col")
	private String toIdColumnName;
	@JsonProperty("address_col")
	private String toAddressColumnName;
	// --- sendmailの場合のみ使用

	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	public String getMethod() {
		return method;
	}
	public void setMethod(String method) {
		this.method = method;
	}
	public String getTarget() {
		return target;
	}
	public void setTarget(String target) {
		this.target = target;
	}
	public String getResult() {
		return result;
	}
	public void setResult(String result) {
		this.result = result;
	}
	public String getMapperName() {
		return mapperName;
	}
	public void setMapperName(String mapperName) {
		this.mapperName = mapperName;
	}
//	public StatementBean getStatement() {
//		return statement;
//	}
//	public void setStatement(StatementBean statement) {
//		this.statement = statement;
//	}
	public Map<String, String> getCondMap() {
		return condMap;
	}
	public void setCondMap(Map<String, String> condMap) {
		this.condMap = condMap;
	}
	public List<String> getToList() {
		return toList;
	}
	public void setToList(List<String> toList) {
		this.toList = toList;
	}
	public List<String> getCcList() {
		return ccList;
	}
	public void setCcList(List<String> ccList) {
		this.ccList = ccList;
	}
	public List<String> getBccList() {
		return bccList;
	}
	public void setBccList(List<String> bccList) {
		this.bccList = bccList;
	}
	public String getToIdColumnName() {
		return toIdColumnName;
	}
	public void setToIdColumnName(String toIdColumnName) {
		this.toIdColumnName = toIdColumnName;
	}
	public String getToAddressColumnName() {
		return toAddressColumnName;
	}
	public void setToAddressColumnName(String toAddressColumnName) {
		this.toAddressColumnName = toAddressColumnName;
	}

}
